<?php
require_once '../../data/constant.php';
require_once '../../util/make_item.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}

$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$class_id = "";
$quiz_id = "";
$quiz_nam = "";
$comment = "";
$practice_arr = array();

if (!isset($_REQUEST["quiz_id"]) || !is_numeric($_REQUEST["quiz_id"])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}


$quiz_id = $_REQUEST["quiz_id"];

$regist_type="update";
$action_type = "";
$search_txt = "";
$department_id = "";
$dep_sel_txt = "";
$duration = "";
$reg_list = "";
$prac_list = "";
$reg_practice_arr = array();
$del_arr = array();
$add_arr = array();
$score_arr = array();
$order_arr = array();
	//зѤΥΡȥ
	$note_key_visible = "visible";
	$note_key_cnt = 0;

if ($_POST <> null) {
	if (isset($_POST['action_type'])) {
		$action_type = $_POST['action_type'];
	}
	//if ($action_type == "search") {
		$department_id = $_REQUEST['department_id'];
		$search_txt = $_REQUEST['search_txt'];
	//}

}

//ǽϿѤߤΥǡ򸡺
$quiz_data_object = new CQuizTableAccess();
$quiz_data = $quiz_data_object->getDetailQuiz($conn,$quiz_id);
if ($quiz_data == false) {
	$err_msg .= "Failed to Search for Quiz Data<br/>";
} else {
	$quiz_nam = htmlspecialchars($quiz_data["quiz_nam"],3);
	$comment = htmlspecialchars($quiz_data["comment"],3);
	$duration = intval($quiz_data["duration"]);
	$class_id = intval($quiz_data["groupid"]);
	$quiz_link_object = new CQuizPraLinkTableAccess();
	if (!$quiz_link_object->setQuizLinkData($conn,$quiz_id)) {
		$err_msg .= "Failed to Search for Link Data <br/>";
	} else {
		while ($res = $quiz_link_object->dbFetchArr()) {
			array_push($reg_practice_arr,$res["practice_id"]);

			//array_push($score_arr,$res["score"]);
			//array_push($order_arr,$res["quiz_order"]);

			$score_arr["prac_".$res["practice_id"]] = $res["score"];
			$order_arr["prac_".$res["practice_id"]] = $res["quiz_order"];
		}
		$quiz_link_object->dbFreeResult();
	}
}


if (isset($_POST["quiz_nam"])) {
	$quiz_nam = chPostToForm($_POST["quiz_nam"]);
}
if (isset($_POST["comment"])) {
	$comment = chPostToForm($_POST["comment"]);
}
if (isset($_POST["duration"])) {
	$duration = intval($_POST["duration"]);
}

if (isset($_POST["reg_practice_id"])) {
	$reg_practice_arr = $_POST["reg_practice_id"];
	foreach ($reg_practice_arr as $key=>$val) {
		$score_arr["prac_".$val] = $_POST["score"][$key];
		$order_arr["prac_".$val] = $_POST["order"][$key];
	}

	//$score_arr = $_POST["score"];
	//$order_arr = $_POST["order"];
}
if (isset($_POST["del"])) {
	$del_arr = $_POST["del"];
}
if (isset($_POST["add"])) {
	$add_arr = $_POST["add"];
}

$practice_object = new CPracTableAccess();
if ($practice_object->setSelResult("*","",$conn)) {
	$cnt = 0;
	while($res = $practice_object->dbFetchArr()) {
		if ((in_array($res["practice_id"],$reg_practice_arr)
			&& !in_array($res["practice_id"],$del_arr )) ||
				in_array($res["practice_id"], $add_arr)) {
			//Ͽ
			$reg_list .= "<tr><td><input type='checkbox' name='del[]' value='".$res["practice_id"]."'/>";
			//$reg_list .= "</td><td><input type='text' name='order[]' value='".intval($order_arr[$cnt])."'";
			$reg_list .= "</td><td><input type='text' name='order[]' value='".$order_arr["prac_".$res["practice_id"]]."'";
			$reg_list .= " maxlength=2 size=2/></td><td>".htmlspecialchars($res['practice_title'],3);
			//$reg_list .= "</td><td><input type='text' name='score[]' value='".intval($score_arr[$cnt])."'";
			$reg_list .= "</td><td><input type='text' name='score[]' value='".intval($score_arr["prac_".$res["practice_id"]])."'";
			$reg_list .= " maxlength=2 size=2/></td><input type='hidden' name='reg_practice_id[]'";
			$reg_list .= " value='".$res["practice_id"]."'/></tr>";
			$cnt++;
		} else {
			if (in_array($res["practice_id"],$del_arr)) $cnt++;
			//Ͽǽʤ
			if ($search_txt <> "" && !mb_ereg($search_txt,$res["practice_title"])) continue;
			if ($department_id <> 0 && $department_id <> "" && $res["department"] <> $department_id) continue;
			$prac_list .= "<tr><td><input type='checkbox' name='add[]' value='";
			$prac_list .= $res["practice_id"]."'/></td><td><a href='../practice_reg/mod_form.php?practice_id=".$res["practice_id"]."' target='_blank'>";
			$prac_list .= htmlspecialchars($res["practice_title"])."</a>";
			$prac_list .= "</td></tr>";
		}
	}
	$reg_list .= "<input type='hidden' name='exists' value='".$cnt."'/>";
	$practice_object->dbFreeResult();
}

$dep_sel_object = new CCreateDepSelect($conn);
$dep_sel_object->setDataForSearch ();
$dep_sel_txt = $dep_sel_object->getPullDown("department_id", $department_id);


$note_key_object = new CNoteKeywordTableAccess();
$note_key_cnt =
	$note_key_object->getNoteKeysPerEventCnt($conn,$quiz_id,4);

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();

$show_data = file_get_contents(TEMPLATE_DIR.'ad_quiz_reg/quiz_form.tpl');
$show_data = str_replace(':REGIST_TYPE_REP:', $regist_type, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':PRAC_LIST_REP:', $prac_list, $show_data);
$show_data = str_replace(':REG_LIST_REP:', $reg_list, $show_data);
$show_data = str_replace(':QUIZ_NAM_REP:', $quiz_nam, $show_data);
$show_data = str_replace(':COMMENT_REP:', $comment, $show_data);
$show_data = str_replace(':DURATION_REP:', intval($duration), $show_data);
$show_data = str_replace(':DEPT_SELECT_REP:', $dep_sel_txt, $show_data);
$show_data = str_replace(':SEARCH_TXT_REP:', $search_txt, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':QUIZ_ID_REP:', $quiz_id, $show_data);
$show_data = str_replace(':NOTE_KEY_SHOW_REP:',$note_key_visible,$show_data);
$show_data = str_replace(':KEY_CNT_REP:',$note_key_cnt,$show_data);
echo $show_data;


?>