<?php
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../util/make_item.php';
//ini_set("session.save_handler","files");
//session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_arr['status'];
if ($admin_status <> 1) {
//Ϥ
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/index.php");
	exit;
}

$txt_level_nam = "";
$txt_level_id = "";
$comment = "";
$action_type = "";
$delete_txt = "";

if ($_GET <> null) {
	if (isset($_GET['txt_level_id'])) {
		$txt_level_id = $_GET['txt_level_id'];
	}

	if (!is_numeric($txt_level_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/txt_level_reg/txt_level_list.php");
		exit;
	}
}
if($_POST <> null) {
	if (isset($_POST['action_type'])) {
		if ($_POST['action_type'] == "update") {
			if (isset($_POST['up_id'])) {
				if (is_numeric($_POST['up_id'])) {
					$txt_level_id = $_POST['up_id'];
					$action_type = "update";
				} else if ($_POST['up_id'] == ""){
					$action_type = "insert";
				}
			}
		}
		if ($_POST['action_type'] == "del" && isset($_POST['DEL0']) &&
			is_numeric($_POST['DEL0'])) {
				$txt_level_id = $_POST['DEL0'];
				$action_type = "del";
		}
	}
}

//$data_object = new CDbAccess();
		//DB³
//if ($data_object->openDB() == false) {
//	$err_msg .= $data_object->err_msg;
//} else {
	$txt_level_data_object= new CTxtLevelTableAccess();
	if ($action_type == "insert") {
		//if ($txt_level_data_object->insertTxtLevelDataExe($data_object->conn, $_POST)) {
		if ($txt_level_data_object->insertTxtLevelDataExe($conn, $_POST)) {
			if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/txt_level_reg/txt_level_list.php");
			exit;
		} else {
			$err_msg = _EXAM_TEA_LEVEL_DBERR;
		}
	} else if ($action_type == "update") {
		//if ($txt_level_data_object->updateTxtLevelDataExe($data_object->conn, $_POST)) {
		if ($txt_level_data_object->updateTxtLevelDataExe($conn, $_POST)) {
			if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/txt_level_reg/txt_level_list.php");
			exit;
		} else {
			$err_msg = _EXAM_TEA_LEVEL_DBERR;
		}
	} else if ($action_type == "del") {
		//if ($txt_level_data_object->deleteTxtLevelDataExe($data_object->conn, $txt_level_id)) {
		if ($txt_level_data_object->deleteTxtLevelDataExe($conn, $txt_level_id)) {
		if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
			header("Content-Type: text/html; charset=EUC-JP");
			header(URL_SET."teacher/txt_level_reg/txt_level_list.php");
			exit;
		} else {
			$err_msg = _EXAM_TEA_LEVEL_DBERR;
		}
	}

	if ($txt_level_id <> "") {
		//$dep_data = $txt_level_data_object->getDetailTxtLevelData($data_object->conn, $txt_level_id);
		$dep_data = $txt_level_data_object->getDetailTxtLevelData($conn, $txt_level_id);
		if (!$dep_data) {
			$err_msg = _EXAM_TEA_LEVEL_DBERR;
		} else {
			$txt_level_nam = htmlspecialchars($dep_data['txt_level_nam'],ENT_QUOTES);
			$comment = htmlspecialchars($dep_data['comment'],ENT_QUOTES);
			$delete_txt = "<form name='del_frm' method='POST' action='mod_form.php'>";
			$delete_txt .= "<input type ='hidden' name ='DEL0' value ='".$txt_level_id."'>";
			$delete_txt .= "<input type ='hidden' name ='action_type' value ='del'>";
			$delete_txt .= "<input type ='BUTTON' value ='"._COMMON_DEL_TXT."' onClick='delData()'></form>";

		}
	}
if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
//}

//$show_data = file_get_contents('../../templates/ad_txt_level_reg/mod_form.tpl');
$show_data = file_get_contents(TEMPLATE_DIR.'ad_txt_level_reg/mod_form.tpl');
$show_data = str_replace(':LEVEL_ID_REP:', $txt_level_id, $show_data);
$show_data = str_replace(':COMMENT:', $comment, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':LEVEL_NAM_TXT:', $txt_level_nam, $show_data);
$show_data = str_replace(':DEL_BUTTON_REP:', $delete_txt, $show_data);
echo $show_data;

?>