<?php
/*̥Сνʾ
 *
 */
require_once '../../data/constant.php';
$err_msg = "";
$conn = "";
$data_object = null;
if (NO_SINGLE_SIGNON == 0) {
	require('../../../../mainfile.php');
	require_once '../../data/xdb_access.php';
} else if (NO_SINGLE_SIGNON == 1) {
	require_once '../../data/db_access.php';
	ini_set("session.save_handler","files");
	session_start();
	$data_object = new CDbAccess();
	if ($data_object->openDB() == false) {
		$err_msg .= $data_object->err_msg;
	} else {
		$conn = $data_object->conn;
	}
}
require_once '../../data/table_access.php';
require_once '../../data/data_for_lec.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_analyze.php';


if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
//ɻ
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$show_txt = "";
$class_nam = "";
$class_id = "";
$st_id = "";

$err_msg = "";
$lec_csv = "";
$st_name = "";

if(isset($_GET['class_id'])) {
	$class_id = $_GET['class_id'];
}
if(isset($_GET['uid'])) {
	$st_id = $_GET['uid'];
}
if (!is_numeric($class_id) || !is_numeric($st_id)) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/index.php");
	exit;
}

if (NO_SINGLE_SIGNON == 1 && $ses_list['is_cube'] == 1) {
	if (!$data_object->setCharForCube()) {
		$err_msg .= $data_object->err_msg;
	}
}

//Xoopsѡ饹δþ
$class_info_object = new CTeacherClassAccess();
$class_inf=$class_info_object->getClassMember($conn, $class_id);

if ($class_inf == false) {
	$class_nam = _COMMON_DB_NODATA_FOUND;
	$teacher_nam = _COMMON_DB_NODATA_FOUND;
} else {
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $class_inf[0]['teacher_id'] <> $admin_id) {
		if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/index.php");
		exit;
	}
	if (NO_SINGLE_SIGNON == 1) {
		$class_nam = htmlspecialchars(mb_convert_encoding($class_inf[0]['class_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		$teacher_nam = htmlspecialchars(mb_convert_encoding($class_inf[0]['teacher_nam'],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		} else {
		$class_nam = htmlspecialchars($class_inf[0]['class_nam'],ENT_QUOTES);
		$teacher_nam = htmlspecialchars($class_inf[0]['teacher_nam'],ENT_QUOTES);
	}
}

//桼
$student_object = new CStudentTableAccess();
$st_data = $student_object->getOneStudent($conn,$st_id);
if ($st_data == false) {
	if ($conn <> "" && is_object($data_object)) $data_object->closeDB();
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/class_reg/index.php");
	exit;
} else {
	if (NO_SINGLE_SIGNON == 1) {
		$st_name = htmlspecialchars(mb_convert_encoding($st_data["uname"],'UTF-8',XOOPS_SRT_ENCODE),ENT_QUOTES);
		} else {
		$st_name = htmlspecialchars($st_data["uname"],ENT_QUOTES);
	}

}

if (NO_SINGLE_SIGNON == 1 && $ses_list['is_cube'] == 1) {
	if (!$data_object->setCharForExam()) {
		$err_msg .= $data_object->err_msg;
	}
}

$lecture_object = new CLectureTableAccess();
$data_list = $lecture_object->getEndedLecturePerClass($conn,$class_id);

if ($data_list == false) {
	$show_txt = "";
} else {
	foreach ($data_list as $child_data) {
		$lec_csv .= $child_data["lecture_id"].",";
	}
	$lec_csv = substr($lec_csv,0,-1);
	$pres_stat_object = new CClassStudentAnalysis();
	$pres_stat_object->setLectureCsv($lec_csv);
	$pres_stat_object->setAnalyzeArr($conn, $st_id);
	$pres_arr = $pres_stat_object->getAnalyzeArr();
	$eve_cnt_arr = $pres_stat_object->getEventCnt();

	foreach($data_list as $child_data) {
		$show_txt .="<tr>\n";
		$show_txt .= "<td>";

		$show_txt .= "<a href='./detail.php?lecture_id=";
		$show_txt .=intval($child_data["lecture_id"]);
		$show_txt .= "&lecture_name=".urlencode($child_data["lecture_nam"]);
		$show_txt .="&uid=".$st_id."&class_id=".$class_id;
		$show_txt .="&st_name=".urlencode($st_name)."'>";


		$show_txt .= htmlspecialchars($child_data["lecture_nam"],ENT_QUOTES);
		$show_txt .="</a></td>";
		$show_txt .= "<td>".substr($child_data["lecture_date"],0,16)."</td>";

		//з
		$show_txt .= "<td>";
		if (intval($child_data["pres_type"]) == 0) {
			//з꼫ΤƤʤ
			$show_txt .="-";
		} else {
			$pres_status = $pres_arr[$child_data["lecture_id"]]["pres_status"];
			if (intval($child_data["pres_type"]) == 1) {
				//ʬθʤQRɤˤз
				if ($pres_status == 0) {
					$show_txt .= $PRES_STATUS_ARR[0];
				} else if ($pres_status == 1) {
					$show_txt .= $PRES_STATUS_ARR[1];
				} else {
					$show_txt .= "Error";
				}
			} else {
				$show_txt .= $PRES_STATUS_ARR[$pres_status];
			}
		}
		$show_txt .= "</td>";

		//ʴ
		$show_txt .= "<td>";
/*
		if ($child_data["pres_type"] == 2 || $child_data["pres_type"] == 4 || $child_data["pres_type"] == 8) {
			//ΡȤзˤˤϥ
			$show_txt .= "<a href='./note_match.php?lecture_id=".intval($child_data["lecture_id"]);
			$show_txt .= "&lecture_name=".urlencode($child_data["lecture_nam"])."'>";
		}
	*/
		$show_txt .= $PRES_TYPE_ARR[intval($child_data["pres_type"])];
		/*
		if ($child_data["pres_type"] == 2 || $child_data["pres_type"] == 4 || $child_data["pres_type"] == 8) {
			$show_txt .= "</a>";
		}
		*/
		$show_txt .= "</td>";
		//Ρ
		$show_txt .= "<td>";
		if (isset($pres_arr[$child_data["lecture_id"]]["note_per"])) {
		if ($pres_arr[$child_data["lecture_id"]]["note_per"] == "-") {
			$show_txt .= "-";
		} else {
			$show_txt .= round($pres_arr[$child_data["lecture_id"]]["note_per"],2)."%";
		}

		if ($pres_arr[$child_data["lecture_id"]]["note_per"] == 100) {
			$show_txt .= " <b>Good</b>";
		} else if (intval($pres_arr[$child_data["lecture_id"]]["note_per"] <
			$child_data["pres_note_percent"])) {
			$show_txt .= " <font color='red'>NOTICE</font>";
		}
		} else {
			$show_txt .= "-";
		}

		if ($child_data["pres_note_percent"] == 0) {
			$show_txt .= " / -";
		} else {
			$show_txt .= " / ".$child_data["pres_note_percent"]."%";
		}
		$show_txt .= "</td>";

			//٥Ȼ
		$show_txt .= "<td>";
		if (isset($pres_arr[$child_data["lecture_id"]]["sub_num"])) {
			$sub_per = $pres_arr[$child_data["lecture_id"]]["sub_num"]/$eve_cnt_arr[$child_data["lecture_id"]]*100;
			$show_txt .= round($sub_per,2)."%";

			if ($sub_per == 100) {
				$show_txt .= " <b>Good</b>";
			} else if (intval($child_data["pres_submit_percent"]) > $sub_per) {
				$show_txt .= " <font color='red'>NOTICE</font>";
			}
		} else {
			$show_txt .= "-";
		}

		if ($child_data["pres_submit_percent"] == 0) {
			$show_txt .= "/-";
		} else {
			$show_txt .= "/".$child_data["pres_submit_percent"]."%";
		}

		$show_txt .= "</td>";

			//
		$show_txt .= "<td>";


		if (!isset($pres_arr[$child_data["lecture_id"]]["prac_per"]) ||
		$pres_arr[$child_data["lecture_id"]]["prac_per"] == "") {
			$show_txt .= "-";
		} else {
			$show_txt .= round($pres_arr[$child_data["lecture_id"]]["prac_per"],2)."%";

			if ($pres_arr[$child_data["lecture_id"]]["prac_per"] == 100) {
				$show_txt .= " <b>Good</b>";
			} else if (intval($pres_arr[$child_data["lecture_id"]]["prac_per"]) <
				$child_data["pres_right_percent"]) {
				$show_txt .= " <font color='red'>NOTICE</font>";
			}
		}

		if ($child_data["pres_right_percent"] == 0) {
			$show_txt .= " /-";
		} else {
			$show_txt .= " /".$child_data["pres_right_percent"]."%";
		}
		$show_txt .= "</td>";

			//ƥ
		$show_txt .= "<td>";
		if (!isset($pres_arr[$child_data["lecture_id"]]["quiz_per"]) ||
			$pres_arr[$child_data["lecture_id"]]["quiz_per"] == "") {
			$show_txt .= "-";
		} else {
			$show_txt .= round($pres_arr[$child_data["lecture_id"]]["quiz_per"],2)."%";


			if ($pres_arr[$child_data["lecture_id"]]["quiz_per"] == 100) {
				$show_txt .= " <b>Good</b>";
			} else if (intval($pres_arr[$child_data["lecture_id"]]["quiz_per"]) <
				$child_data["pres_quiz_percent"]) {
				$show_txt .= " <font color='red'>NOTICE</font>";
			}
		}


		if ($child_data["pres_quiz_percent"] == 0) {
			$show_txt .= " / -";
		} else {
			$show_txt .= " / ".$child_data["pres_quiz_percent"]."%";
		}
		$show_txt .= "</td></tr>\n";
	}
}

if ($conn <> "" && is_object($data_object)) $data_object->closeDB();

$show_data = file_get_contents(TEMPLATE_DIR.'ad_member_reg/lec_list.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':ST_NAM_REP:', $st_name, $show_data);

$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':TBL_DATA:', $show_txt, $show_data);

echo $show_data;
?>